Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.testing.testng
[Groovy] Class TestNGOptions

    java.lang.Object
      org.gradle.api.tasks.testing.TestFrameworkOptions
          org.gradle.api.tasks.testing.testng.TestNGOptions

All Implemented Interfaces:
  java.io.Serializable

    class TestNGOptions
    extends TestFrameworkOptions

Authors:
  Tom Eyckmans

Field Summary
`static java.lang.String` | `JAVADOC_ANNOTATIONS`
`static java.lang.String` | `JDK_ANNOTATIONS`

Property Summary
`java.util.Set` | `excludeGroups` The set of groups to exclude.
`java.util.Set` | `includeGroups` The set of groups to run.
`boolean` | `javadocAnnotations` When true, Javadoc annotations are used for these tests.
`java.util.Set` | `listeners` The set of fully qualified classes that are TestNG listeners (for example org.testng.ITestListener or org.testng.IReporter)
`java.lang.String` | `parallel` The parallel mode to use for running the tests - either methods or tests.
`java.lang.String` | `suiteName` Sets the default name of the test suite, if one is not specified in a suite xml file or in the source code.
`groovy.xml.MarkupBuilder` | `suiteXmlBuilder`
`java.util.List` | `suiteXmlFiles` The suiteXmlFiles to use for running TestNG.
`java.io.StringWriter` | `suiteXmlWriter`
`java.lang.String` | `testName` Sets the default name of the test, if one is not specified in a suite xml file or in the source code.
`java.util.List` | `testResources` List of all directories containing Test sources.
`int` | `threadCount` The number of threads to use for this run.
`boolean` | `useDefaultListeners` Whether the default listeners and reporters should be used.

Constructor Summary
`TestNGOptions(java.io.File projectDir)`

Method Summary
`TestNGOptions` | `excludeGroups(java.lang.String excludeGroups)`
`java.lang.String` | `getAnnotations()`
`java.util.List` | `getSuites(java.io.File testSuitesDir)`
`TestNGOptions` | `includeGroups(java.lang.String includeGroups)`
`TestNGOptions` | `javadocAnnotations()`
`TestNGOptions` | `jdkAnnotations()`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
`java.lang.Object` | `propertyMissing(java.lang.String name)`
`void` | `setAnnotationsOnSourceCompatibility(JavaVersion sourceCompatibilityProp)`
`groovy.xml.MarkupBuilder` | `suiteXmlBuilder()`
`void` | `suites(java.lang.String suiteFiles)` Add suite files by Strings.
`void` | `suites(java.io.File suiteFiles)` Add suite files by File objects.
`TestNGOptions` | `useDefaultListeners()`
`TestNGOptions` | `useDefaultListeners(boolean useDefaultListeners)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### JAVADOC_ANNOTATIONS

    public static final java.lang.String JAVADOC_ANNOTATIONS

### JDK_ANNOTATIONS

    public static final java.lang.String JDK_ANNOTATIONS

Property Detail

### excludeGroups

    java.util.Set excludeGroups

  The set of groups to exclude.

### includeGroups

    java.util.Set includeGroups

  The set of groups to run.

### javadocAnnotations

    boolean javadocAnnotations

  When true, Javadoc annotations are used for these tests. When false, JDK annotations are used. If you use Javadoc annotations, you will also need to specify "sourcedir". Defaults to JDK annotations if you're using the JDK 5 jar and to Javadoc annotations if you're using the JDK 1.4 jar.

### listeners

    java.util.Set listeners

  The set of fully qualified classes that are TestNG listeners (for example org.testng.ITestListener or org.testng.IReporter)

### parallel

    java.lang.String parallel

  The parallel mode to use for running the tests - either methods or tests. Not required. If not present, parallel mode will not be selected

### suiteName

    java.lang.String suiteName

  Sets the default name of the test suite, if one is not specified in a suite xml file or in the source code.

### suiteXmlBuilder

    groovy.xml.MarkupBuilder suiteXmlBuilder

### suiteXmlFiles

    java.util.List suiteXmlFiles

  The suiteXmlFiles to use for running TestNG. Note: The suiteXmlFiles can be used in conjunction with the suiteXmlBuilder.

### suiteXmlWriter

    java.io.StringWriter suiteXmlWriter

### testName

    java.lang.String testName

  Sets the default name of the test, if one is not specified in a suite xml file or in the source code.

### testResources

    java.util.List testResources

  List of all directories containing Test sources. Should be set if annotations is 'Javadoc'.

### threadCount

    int threadCount

  The number of threads to use for this run. Ignored unless the parallel mode is also specified

### useDefaultListeners

    boolean useDefaultListeners

  Whether the default listeners and reporters should be used. Defaults to true.

Constructor Detail

### TestNGOptions

    TestNGOptions(java.io.File projectDir)

Method Detail

### excludeGroups

    TestNGOptions excludeGroups(java.lang.String excludeGroups)

### getAnnotations

    java.lang.String getAnnotations()

### getSuites

    java.util.List getSuites(java.io.File testSuitesDir)

### includeGroups

    TestNGOptions includeGroups(java.lang.String includeGroups)

### javadocAnnotations

    TestNGOptions javadocAnnotations()

### jdkAnnotations

    TestNGOptions jdkAnnotations()

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String name)

### setAnnotationsOnSourceCompatibility

    void setAnnotationsOnSourceCompatibility(JavaVersion sourceCompatibilityProp)

### suiteXmlBuilder

    groovy.xml.MarkupBuilder suiteXmlBuilder()

### suites

    void suites(java.lang.String suiteFiles)

  Add suite files by Strings. Each suiteFile String should be a path relative to the project root.

### suites

    void suites(java.io.File suiteFiles)

  Add suite files by File objects.

### useDefaultListeners

    TestNGOptions useDefaultListeners()

### useDefaultListeners

    TestNGOptions useDefaultListeners(boolean useDefaultListeners)

Groovy Documentation